Subject: bug#73782: [PATCH] Add `delete-selection-local-mode'.

From: Eli Zaretskii <[email-masked]>
Date: Sun, 13 Oct 2024 08:38:38 +0300

> Date: Sun, 13 Oct 2024 01:25:28 +0000
> From:  Okamsn via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> This patch adds a local version of `delete-selection-mode`. I use a 
> modal editing package for which I would like to have 
> `delete-selection-mode` enabled depending on the modal state that is 
> active in the buffer. This doesn't currently work because 
> `delete-selection-mode` applies to all buffers.

Thanks.  This feature needs a NEWS entry, and maybe also a suitable
change to the user manual.

> For compatibility, I made the local mode set the value of the variable 
> `delete-selection-mode` buffer locally. I see that some features, such 
> as the built-in `table.el`, check that variable to adjust their 
> behavior. Do you think that is a good way to maintain compatibility?

SGTM, but I'd like to hear from Stefan (CC'ed) as well.